Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Interface ButtonListener

All Superinterfaces:
  ComponentListener

All Known Subinterfaces:
  CycleButtonListener, SplitButtonListener

All Known Implementing Classes:
  ButtonListenerAdapter, CycleButtonListenerAdapter, SplitButtonListenerAdapter

    public interface ButtonListener

extends ComponentListener

Method Summary
`void` | `onClick(Button button, EventObject e)` Fires when this button is clicked
`void` | `onMenuHide(Button button, Menu menu)` If this button has a menu, this event fires when it is hidden.
`void` | `onMenuShow(Button button, Menu menu)` If this button has a menu, this event fires when it is shown.
`void` | `onMenuTriggerOut(Button button, Menu menu, EventObject e)` If this button has a menu, this event fires when the mouse leaves the menu triggering element.
`void` | `onMenuTriggerOver(Button button, Menu menu, EventObject e)` If this button has a menu, this event fires when the mouse enters the menu triggering element.
`void` | `onMouseOut(Button button, EventObject e)` Fires when the mouse exits the button.
`void` | `onMouseOver(Button button, EventObject e)` Fires when the mouse hovers over the button.
`void` | `onToggle(Button button, boolean pressed)` Fires when the "pressed" state of this button changes (only if enableToggle = true).

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### onClick

    void onClick(Button button,
                 EventObject e)

  Fires when this button is clicked

  Parameters:
    `button` - this
    `e` - the event object

### onMenuHide

    void onMenuHide(Button button,
                    Menu menu)

  If this button has a menu, this event fires when it is hidden.

  Parameters:
    `button` - his
    `menu` - the menu

### onMenuShow

    void onMenuShow(Button button,
                    Menu menu)

  If this button has a menu, this event fires when it is shown.

  Parameters:
    `button` - this
    `menu` - the menu

### onMenuTriggerOut

    void onMenuTriggerOut(Button button,
                          Menu menu,
                          EventObject e)

  If this button has a menu, this event fires when the mouse leaves the menu triggering element.

  Parameters:
    `button` - this
    `menu` - the menu
    `e` - the event

### onMenuTriggerOver

    void onMenuTriggerOver(Button button,
                           Menu menu,
                           EventObject e)

  If this button has a menu, this event fires when the mouse enters the menu triggering element.

  Parameters:
    `button` - this
    `menu` - the menu
    `e` - the event

### onMouseOut

    void onMouseOut(Button button,
                    EventObject e)

  Fires when the mouse exits the button.

  Parameters:
    `button` - this
    `e` - the event object

### onMouseOver

    void onMouseOver(Button button,
                     EventObject e)

  Fires when the mouse hovers over the button.

  Parameters:
    `button` - this
    `e` - the event object

### onToggle

    void onToggle(Button button,
                  boolean pressed)

  Fires when the "pressed" state of this button changes (only if enableToggle = true).

  Parameters:
    `button` - this
    `pressed` - true if pressed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD